Subject: Re: [PATCH v2 1/3] docs: remove unused mentoring mailing list reference

From: Emily Shaffer <[email-masked]>
Date: Fri, 16 May 2025 13:57:46 -0700

On Sat, May 17, 2025 at 12:25:14AM +0530, K Jayatheerth wrote:
> 
> The git-mentoring group is being removed because new contributors
> now approach the main mailing list directly and
> almost always receive responses.
> To reflect current practices and avoid confusion,
> references to the unused mentoring list have been removed.
> 
> Signed-off-by: K Jayatheerth <[email-masked]>
> ---
>  Documentation/MyFirstContribution.adoc | 8 --------
>  1 file changed, 8 deletions(-)
> 
> diff --git a/Documentation/MyFirstContribution.adoc b/Documentation/MyFirstContribution.adoc
> index ca1d688c9b..ef190d8748 100644
> --- a/Documentation/MyFirstContribution.adoc
> +++ b/Documentation/MyFirstContribution.adoc
> @@ -40,14 +40,6 @@ the list by sending an email to <[email-masked]>
>  The https://lore.kernel.org/git[archive] of this mailing list is
>  available to view in a browser.
>  
> -==== https://groups.google.com/forum/#!forum/git-mentoring[[email-masked]]
> -
> -This mailing list is targeted to new contributors and was created as a place to
> -post questions and receive answers outside of the public eye of the main list.
> -Veteran contributors who are especially interested in helping mentor newcomers
> -are present on the list. In order to avoid search indexers, group membership is
> -required to view messages; anyone can join and no approval is required.
> -
>  ==== https://web.libera.chat/#git-devel[#git-devel] on Libera Chat
>  
>  This IRC channel is for conversations between Git contributors. If someone is
> -- 
> 2.49.GIT

The contents of the series now look good to me, I have no problem with
them being merged as is.

By the way, when I look at your history on the mailing list I think this
is your first multi-patch series; I think when preparing v2 you forgot to
include --cover-letter in your arguments to `git format-patch`. On this
list it's more typical to always include a cover letter with multipatch
series, which you did with your initial version but forgot on this one.
:)

I'll leave it up to Junio whether this is acceptable to merge as-is or
whether he needs a cover letter, but all of v2 LGTM.

 - Emily